curl --request PUT \
--url https://api.hubapi.com/crm/pipelines-rules/2026-09-beta/{objectTypeId}/{pipelineId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"governanceValidationRules": {
"noBackwardsMovementRule": {
"enabledForAllStages": true,
"pipelineStageIds": [
"<string>"
]
},
"noSkippingStagesRule": {
"enabledForAllStages": true,
"pipelineStageIds": [
"<string>"
]
},
"objectCreationRule": {
"pipelineStageIds": [
"<string>"
]
}
}
}
'import requests
url = "https://api.hubapi.com/crm/pipelines-rules/2026-09-beta/{objectTypeId}/{pipelineId}"
payload = { "governanceValidationRules": {
"noBackwardsMovementRule": {
"enabledForAllStages": True,
"pipelineStageIds": ["<string>"]
},
"noSkippingStagesRule": {
"enabledForAllStages": True,
"pipelineStageIds": ["<string>"]
},
"objectCreationRule": { "pipelineStageIds": ["<string>"] }
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
governanceValidationRules: {
noBackwardsMovementRule: {enabledForAllStages: true, pipelineStageIds: ['<string>']},
noSkippingStagesRule: {enabledForAllStages: true, pipelineStageIds: ['<string>']},
objectCreationRule: {pipelineStageIds: ['<string>']}
}
})
};
fetch('https://api.hubapi.com/crm/pipelines-rules/2026-09-beta/{objectTypeId}/{pipelineId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2023-11-07T05:31:56Z",
"governanceValidationRules": {
"noBackwardsMovementRule": {
"enabledForAllStages": true,
"pipelineStageIds": [
"<string>"
]
},
"noSkippingStagesRule": {
"enabledForAllStages": true,
"pipelineStageIds": [
"<string>"
]
},
"objectCreationRule": {
"pipelineStageIds": [
"<string>"
]
}
},
"id": "<string>",
"objectTypeId": "<string>",
"pipelineId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"approvalStage": {
"approverUserIds": [
"<string>"
],
"pipelineStageId": "<string>",
"approvalComment": "<string>",
"conditionalApprovalFilterBranch": {
"filterBranchOperator": "<string>",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "NOT_ALL",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "NOT_ANY",
"filterBranches": [
"<unknown>"
],
"filters": [
"<unknown>"
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": true,
"operationType": "BOOL",
"operator": "<string>",
"value": true
},
"property": "<string>"
}
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": true,
"operationType": "BOOL",
"operator": "<string>",
"value": true
},
"property": "<string>"
}
]
}
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Update rules (Replace)
Update the rules for a specific pipeline in your HubSpot account. This endpoint allows you to modify governance validation rules and approval stages associated with a pipeline. It requires specifying the object type and pipeline identifiers.
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique identifier of the object type for which the pipeline rules are being updated.
The unique identifier of the pipeline whose rules are being updated.
Body
Response
successful operation
The date and time when the pipeline rule was created.
Show child attributes
Show child attributes
The unique identifier for the pipeline rule.
The identifier for the type of object the pipeline rule is associated with.
The unique identifier for the pipeline to which the rule applies.
The date and time when the pipeline rule was last updated.
Show child attributes
Show child attributes
Was this page helpful?